Zuviel Werbung? - > Hier kostenlos beim SPS-Forum registrieren

Ergebnis 1 bis 10 von 10

Thema: Raspberry CoDeSys Visu

  1. #1
    Registriert seit
    03.09.2009
    Beiträge
    129
    Danke
    15
    Erhielt 19 Danke für 19 Beiträge

    Standard


    Zuviel Werbung?
    -> Hier kostenlos registrieren
    Hallo zusammen,

    ich habe gerade meine ersten Gehversuche mit der CoDeSys 3 Webvisu auf dem Raspberry Pi gemacht.

    Es funktioniert auch alles wunderbar, doch leider wird die WebVisu nur mit dem Firefox (v28.0) gestartet. Der Internet Explorer (V11) zeigt mit die ganze Zeit die Fehlermeldung (An error happened; will automatically restart). Das gleiche habe ich auch auf meinem WinRT Tablet und einem Android Smartphone.

    Muss ich für diese Geräte noch irgendetwas einstellen, damit diese kompatibel zur WebVisu sind?

    Grüßle Andreas

    HMI.jpg
    Zitieren Zitieren Raspberry CoDeSys Visu  

  2. #2
    Registriert seit
    13.09.2007
    Beiträge
    566
    Danke
    50
    Erhielt 65 Danke für 57 Beiträge

    Standard

    Moin
    bei mir funktioniert es unter Firefox 10.1

    Gruß Herbert

  3. #3
    Registriert seit
    24.07.2013
    Beiträge
    419
    Danke
    1
    Erhielt 132 Danke für 111 Beiträge

    Standard

    Hallo Andreas,

    unschöne Sache, momentan hilft nur wenn du IE verwenden willst mit F12 in den Internet Explorer 10 Modus zu schalten...
    siehe screenshot.
    Klar wir werden das beheben.
    Grüße
    Angehängte Grafiken Angehängte Grafiken
    • Dateityp: jpg IE.jpg (102,7 KB, 59x aufgerufen)
    Geändert von HausSPSler (30.03.2014 um 20:10 Uhr)
    Edwin Schwellinger
    3S-Smart Software Solutions GmbH

  4. #4
    Beckx-net ist offline Erfahrener Benutzer
    Themenstarter
    Registriert seit
    03.09.2009
    Beiträge
    129
    Danke
    15
    Erhielt 19 Danke für 19 Beiträge

    Standard

    Hallo,

    danke für die schnelle Antwort! Ich werde es heute mal ausprobieren. Mal schauen, ob es überhaupt möglich ist, mein WinRT tablet auf IE10 umzustellen... Ansonsten warte ich einfach auf den fix.

    MFG
    Andreas

  5. #5
    Registriert seit
    04.02.2011
    Ort
    Nürnberg
    Beiträge
    18
    Danke
    4
    Erhielt 0 Danke für 0 Beiträge

    Standard

    Hallo,
    gibt es hier diesbezüglich schon ein fix? Wenn ich die Visu auf mein S5 starte läuft sie perfekt.
    Mit Firefox 31.0 und dem Internet Explorer 11.0 leider gar nicht. Dort bekomme ich die Meldung "An error happened; will automatically restart"

    LG ErazorVIP

  6. #6
    Registriert seit
    24.07.2013
    Beiträge
    419
    Danke
    1
    Erhielt 132 Danke für 111 Beiträge

    Standard

    Hallo ErazorVIP,
    das sollte wenn du CODESYS V3.5SP5 verwendest, begoben sein,
    bitte prüfen ob Compiler Version auf 3.5SP5 steht & ob dein Raspberry PI Device 3.5.5.0 ist (Information Tab auf dem Raspberry Pi Device)
    Wenn nicht mit rechtsclick im Baum auf den Pi 'Gerät aktualisieren auswählen'
    Dann sollte es gehen.
    Grüße
    Geändert von HausSPSler (20.08.2014 um 21:38 Uhr)
    Edwin Schwellinger
    3S-Smart Software Solutions GmbH

  7. #7
    Registriert seit
    18.02.2010
    Beiträge
    9
    Danke
    2
    Erhielt 0 Danke für 0 Beiträge

    Standard

    Hallo,
    gibt es aktuell noch Probleme mit der Webvisu? Ich habe gerade ein Update auf 3.5.5.20 gemacht, mein Progamm fertig gestellt, es läuft soweit auf dem Pi, aber ich bekomme die Webvisu nicht angesprochen! Im Browser kommt nur die Fehlermeldung: Verbindung fehlgeschlagen. Auch bei dem Beispielprojekt Webvisu ist das der Fall.
    Was mach ich noch falsch!?

  8. #8
    Registriert seit
    24.07.2013
    Beiträge
    419
    Danke
    1
    Erhielt 132 Danke für 111 Beiträge

    Standard

    Hi,

    prüfe bitte folgendes:
    1. Ist deine SPS Version in deinem Projekt aktuell (das kannst du überprüfen in dem du im Gerätebaum auf die SPS clickst und dann bei Information (Reiter ganz rechts) schaust... da müsste 3.5.5.20 des Pi's stehen - wenn nicht rechstclick auf das Gerät im Gerätebaum und 'Gerät aktualisieren' auf diese Version)
    2. prüfen ob die 3.5.5.20 Compilerversion verwendet wird (Projekt-Projekteinstellungen-Compiler Version)
    3. prüfen ob die aktuelles Visualisierungsprofil verwendet wird (Projekt-Projekteinstellungen-Visualisierungsprofil Version)
    Wenn das alles ok ... muss es gehen. Wenn immer noch nicht, dann bitte im SPS Log schauen:
    Wenn du den Browser öffnest und dann die Webvisu aufrufst müsstest du im SPS log Fehlermeldungen / bzw genauere Info finden warum es nicht geht.
    (Wie schaue ich das SPS Log an? - SPS Gerät - Log dann noch das grüne Symbol rechts - damit holt man das Log aus der SPS hoch)
    Welchen Browser verwendest du?
    Explorer, Firefox,Chrome sollten funktionieren: http://IP_Adresse_des_PI:8080/webvisu.htm

    Grüße
    Geändert von HausSPSler (03.01.2015 um 19:58 Uhr)
    Edwin Schwellinger
    3S-Smart Software Solutions GmbH

  9. Folgender Benutzer sagt Danke zu HausSPSler für den nützlichen Beitrag:

    Eiken85 (04.01.2015)

  10. #9
    Registriert seit
    18.02.2010
    Beiträge
    9
    Danke
    2
    Erhielt 0 Danke für 0 Beiträge

    Standard

    Hallo,

    der Fehler liegt ja zu 99% vor dem Bildschirm. Es muss immer nach der "IP_Adresse _des_PI" ":8080/webvisu.htm" angehangen werden. Dann funktionierts.
    Allerdings habe ich festgestellt, dass die Compilerversion noch bei V3.5.5.0 steht und nichts höheres ausgewählt werden kann. Anschließend habe ich mehrfach versucht das Package für das Pi zu installieren / per update zu puschen. Auch nicht möglich. Die SPS-Version steht bereits bei 3.5.5.20. Besser ist es doch wenn die Verisonen gleich sind?!
    Schon mal vielen Dank!

  11. #10
    Registriert seit
    24.07.2013
    Beiträge
    419
    Danke
    1
    Erhielt 132 Danke für 111 Beiträge

    Standard


    Zuviel Werbung?
    -> Hier kostenlos registrieren
    Hallo,

    wenn nur Compilerversion 3.5.5.0 angeboten wird, verwendest du vermutlich CODESYS V3.5.5.0 und Pi Version 3.5.5.20, macht nichts,
    spielt keine Rolle. Ende Januar gibts 3.5.6.0 CODESYS und dann auch kurz darauf eine 3.5.6.0 Raspberry Pi Version.

    Grüße
    Edwin Schwellinger
    3S-Smart Software Solutions GmbH

Ähnliche Themen

  1. CODESYS auf dem Raspberry PI -jetzt verfügbar
    Von HausSPSler im Forum CODESYS und IEC61131
    Antworten: 315
    Letzter Beitrag: 04.11.2017, 22:36
  2. Codesys Visu Installieren
    Von thomas223 im Forum CODESYS und IEC61131
    Antworten: 3
    Letzter Beitrag: 30.11.2011, 11:03
  3. Uhrzeit in CoDeSys Visu
    Von thomas223 im Forum CODESYS und IEC61131
    Antworten: 4
    Letzter Beitrag: 21.11.2011, 11:35
  4. codesys visu
    Von Noxx79 im Forum CODESYS und IEC61131
    Antworten: 3
    Letzter Beitrag: 18.03.2010, 20:28
  5. Codesys Visu
    Von cpu224 im Forum CODESYS und IEC61131
    Antworten: 2
    Letzter Beitrag: 12.03.2008, 09:11

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •